# GCC_RegistryResponse Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_RegistryResponse:

List of all members.

## Public Types

enum | OptionalFields { e_modificationRights }

## Public Member Functions

| GCC_RegistryResponse (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_EntityID | m_entityID
GCC_RegistryResponse_primitiveType | m_primitiveType
GCC_RegistryKey | m_key
GCC_RegistryItem | m_item
GCC_RegistryEntryOwner | m_owner
GCC_RegistryModificationRights | m_modificationRights
GCC_RegistryResponse_result | m_result

## Member Enumeration Documentation

enum GCC_RegistryResponse::OptionalFields

Enumerator:

  e_modificationRights |

## Constructor & Destructor Documentation

GCC_RegistryResponse::GCC_RegistryResponse | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_RegistryResponse::GetDataLength | ( |  | ) | const

PBoolean GCC_RegistryResponse::Decode | ( | PASN_Stream & | strm | ) |

void GCC_RegistryResponse::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_RegistryResponse::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_RegistryResponse::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_RegistryResponse::Clone | ( |  | ) | const

## Member Data Documentation

GCC_EntityID GCC_RegistryResponse::m_entityID

GCC_RegistryResponse_primitiveType GCC_RegistryResponse::m_primitiveType

GCC_RegistryKey GCC_RegistryResponse::m_key

GCC_RegistryItem GCC_RegistryResponse::m_item

GCC_RegistryEntryOwner GCC_RegistryResponse::m_owner

GCC_RegistryModificationRights GCC_RegistryResponse::m_modificationRights

GCC_RegistryResponse_result GCC_RegistryResponse::m_result

The documentation for this class was generated from the following file:

- gcc.h